# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Summary:	Subversion activity notification
Name:		perl-SVN-Notify
Version:	2.87
Release:	2.%{__distinit}%{__distvers}
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/SVN-Notify
Source0:	https://cpan.metacpan.org/modules/by-module/SVN/SVN-Notify-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Module::Build) >= 0.2701
# Module Runtime
BuildRequires:	/usr/sbin/sendmail
BuildRequires:	perl(Config)
BuildRequires:	perl(constant)
BuildRequires:	perl(Email::Address::XS) >= 1.03
BuildRequires:	perl(Encode)
BuildRequires:	perl(Getopt::Long)
BuildRequires:	perl(HTML::Entities)
BuildRequires:	perl(Net::SMTP::TLS)
BuildRequires:	perl(Pod::Usage) >= 1.33
BuildRequires:	perl(strict)
BuildRequires:	perl(Sys::Hostname)
BuildRequires:	perl(Text::Trac)
# Test Suite
# Note: Test::Pod and Test::Pod::Coverage are recommended but not used
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(FindBin)
BuildRequires:	perl(Symbol)
BuildRequires:	perl(Test::More) >= 0.17
BuildRequires:	perl(utf8)
# Runtime
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	/usr/sbin/sendmail
Requires:	perl(Email::Address::XS) >= 1.03
Requires:	perl(Getopt::Long)
Requires:	perl(Pod::Usage) >= 1.33
Requires:	perl(Sys::Hostname)
# Mail is usually sent using sendmail, but can optionally use SMTP via Net::SMTP::TLS
Recommends:	perl(Net::SMTP::TLS)

%description
This module may be used for sending email messages for Subversion repository
activity. There are a number of different modes supported, and SVN::Notify is
fully subclass-able, to add new functionality, and offers comprehensive content
filtering to modify easily the format of its messages. By default, a list of
all the files affected by the commit will be assembled and listed in a single
message. An additional option allows diffs to be calculated for the changes
and either appended to the message or added as an attachment. 

%prep
%setup -q -n SVN-Notify-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}

%check
./Build test

%files
%doc Changes README.md
%{_bindir}/svnnotify
%{perl_vendorlib}/SVN/
%{_mandir}/man1/svnnotify.1*
%{_mandir}/man3/SVN::Notify.3*
%{_mandir}/man3/SVN::Notify::Alternative.3*
%{_mandir}/man3/SVN::Notify::Filter.3*
%{_mandir}/man3/SVN::Notify::Filter::Trac.3*
%{_mandir}/man3/SVN::Notify::HTML.3*
%{_mandir}/man3/SVN::Notify::HTML::ColorDiff.3*

%changelog
* Wed Mar 29 2023 Paul Howarth <paul@city-fan.org> - 2.87-2
- Use SPDX-format license tag

* Thu Dec 17 2020 Paul Howarth <paul@city-fan.org> - 2.87-1
- Initial RPM version
